## caps2esc 0.3.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

project(caps2esc)

add_executable(caps2esc caps2esc.c)
target_compile_options(caps2esc PRIVATE -Wall -Wextra)

install(TARGETS caps2esc RUNTIME DESTINATION bin)

=== debian/changelog ===
caps2esc (0.3.2-1) unstable; urgency=medium

  * Initial release. Closes: #1019967

 -- Osamu Aoki <osamu@debian.org>  Mon, 08 Aug 2022 10:31:20 +0900

=== debian/control ===
Source: caps2esc
Section: admin
Priority: optional
Maintainer: Osamu Aoki <osamu@debian.org>
Build-Depends: cmake, debhelper-compat (= 13)
Standards-Version: 4.6.1
Homepage: https://gitlab.com/interception/linux/plugins/caps2esc
Vcs-Git: https://salsa.debian.org/debian/caps2esc.git
Vcs-Browser: https://salsa.debian.org/debian/caps2esc
Rules-Requires-Root: no

Package: interception-caps2esc
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: interception-tools
Description: interception plugin for dual function Esc/Ctrl key at CapsLock
 Using caps2esc with interception-tools offers the optimal keyboard
 experience for vi/Vim/NeoVim aficionados under Wayland/X/Linux console.
 . 
  * Dual function Esc/Ctrl key at CapsLock key location
  * CapsLock function key at Esc key location
 .
 This is one of the simplest but hugely useful companion plugin program
 to mangle evdev data with interception-tools.  Basically, xmodmap-like
 functionality is realized at the kernel level in this way.

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
%:
	dh $@  --buildsystem cmake

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_BUILD_TYPE=Release

=== debian/watch ===
version=4

https://gitlab.com/interception/linux/plugins/caps2esc/tags?sort=updated_desc /-/tags/v@ANY_VERSION@
